//CFTTAnim - [2020-04-13 11:57:46]
#ifndef _CFTTANIM_H_
#define _CFTTANIM_H_

#include "CFTTFile.h"

/*
0021C2B8 CFTTAnim::AssignToFTT(CFTTModel *)
0021C7F8 CFTTAnim::CFTTAnim()
0021C81A CFTTAnim::CFTTAnim(char const*)
0021C89E CFTTAnim::CFTTAnim(CFTTFile *)
0021C91E CFTTAnim::CFTTAnim(CFTTModel *)
0021C938 CFTTAnim::~CFTTAnim()
0021CA84 CFTTAnim::GetAnimData()
0021CA8A CFTTAnim::GetAnimInfo()
0021CA90 CFTTAnim::GetAnimTime()
0021CAA8 CFTTAnim::GetAnimFrames()
0021CAB4 CFTTAnim::GetAnimRate()
0021CACC CFTTAnim::AnimCompatible(CFTTModel *)

8
*/

class CFTTModel;

class CFTTAnim {
public:
  CFTTAnim();                              //0021C7F8
  CFTTAnim(char const *pFileName);         //0021C81A
  CFTTAnim(CFTTFile *pFile);               //0021C89E
  CFTTAnim(CFTTModel *pModel);             //0021C91E
  ~CFTTAnim();                             //0021C938
  int AssignToFTT(CFTTModel *pModel);     //0021C2B8
  void GetAnimData();                      //0021CA84
  void GetAnimInfo();                      //0021CA8A
  void GetAnimTime();                      //0021CA90
  void GetAnimFrames();                    //0021CAA8
  void GetAnimRate();                      //0021CAB4
  void AnimCompatible(CFTTModel *pModel);  //0021CACC

  void *ptr_0;
  int filed_4;
};

#endif  //_CFTTANIM_H_